Package com.complexible.stardog.plan.eval.service

# Class Validator

java.lang.Object
com.complexible.stardog.plan.eval.service.Validator

public abstract class Validator extends Object
Validator for `ServiceParameters` instances

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Validator(ServiceParameters theParameters)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `contains(IRI thePredicate)`
  `protected void`
  `deprecated(IRI theDeprecatedPredicate, IRI theNewPredicate)`
  Assert that deprecated predicate is not being used
  `protected void`
  `exclusiveQueryTerms(IRI theFirstPredicate, IRI theSecondPredicate)`
  Assert that given predicates don't share query terms
  `protected List<com.complexible.stardog.plan.QueryTerm>`
  `get(IRI thePredicate)`
  `protected void`
  `invalidPredicates()`
  Assert that `ServiceParameters` contains no other predicates besides the ones used for validation
  `protected void`
  `mandatory(IRI thePredicate, Consumer<IRI> theValidator)`
  `protected void`
  `multipleConstants(IRI thePredicate)`
  `protected void`
  `multipleIRIs(IRI thePredicate)`
  `protected void`
  `multipleLiterals(IRI thePredicate)`
  `protected void`
  `multipleResources(IRI thePredicate)`
  `protected void`
  `multipleTerms(IRI thePredicate)`
  `protected void`
  `multipleVariables(IRI thePredicate)`
  `protected void`
  `namedArguments(IRI thePredicate)`
  `protected Consumer<IRI>`
  `oneOf(Value... theValues)`
  `protected Consumer<IRI>`
  `oneOf(Consumer<IRI>... theValidators)`
  `protected void`
  `optional(IRI thePredicate, Consumer<IRI> theValidator)`
  `protected void`
  `singleBoolean(IRI theKey)`
  `protected void`
  `singleConstant(IRI thePredicate)`
  `protected void`
  `singleInteger(IRI theKey)`
  `protected void`
  `singleIRI(IRI thePredicate)`
  `protected void`
  `singleLiteral(IRI thePredicate)`
  `protected void`
  `singleNumber(IRI theKey)`
  `protected void`
  `singleTerm(IRI thePredicate)`
  `protected void`
  `singleVariable(IRI thePredicate)`
  `protected Optional<ServiceParameters>`
  `sub(IRI thePredicate)`
  `abstract void`
  `validate()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Validator

    protected Validator(ServiceParameters theParameters)

- ## Method Details

  - ### validate

    public abstract void validate()

  - ### get

    protected List<com.complexible.stardog.plan.QueryTerm> get(IRI thePredicate)

  - ### sub

    protected Optional<ServiceParameters> sub(IRI thePredicate)

  - ### contains

    protected boolean contains(IRI thePredicate)

  - ### singleTerm

    protected void singleTerm(IRI thePredicate)

  - ### singleVariable

    protected void singleVariable(IRI thePredicate)

  - ### multipleVariables

    protected void multipleVariables(IRI thePredicate)

  - ### multipleTerms

    protected void multipleTerms(IRI thePredicate)

  - ### singleConstant

    protected void singleConstant(IRI thePredicate)

  - ### multipleConstants

    protected void multipleConstants(IRI thePredicate)

  - ### multipleResources

    protected void multipleResources(IRI thePredicate)

  - ### multipleLiterals

    protected void multipleLiterals(IRI thePredicate)

  - ### multipleIRIs

    protected void multipleIRIs(IRI thePredicate)

  - ### singleLiteral

    protected void singleLiteral(IRI thePredicate)

  - ### singleNumber

    protected void singleNumber(IRI theKey)

  - ### singleInteger

    protected void singleInteger(IRI theKey)

  - ### singleBoolean

    protected void singleBoolean(IRI theKey)

  - ### singleIRI

    protected void singleIRI(IRI thePredicate)

  - ### namedArguments

    protected void namedArguments(IRI thePredicate)

  - ### oneOf

    protected Consumer<IRI> oneOf(Value... theValues)

  - ### oneOf

    protected Consumer<IRI> oneOf(Consumer<IRI>... theValidators)

  - ### optional

    protected void optional(IRI thePredicate, Consumer<IRI> theValidator)

  - ### mandatory

    protected void mandatory(IRI thePredicate, Consumer<IRI> theValidator)

  - ### invalidPredicates

    protected void invalidPredicates()
    Assert that `ServiceParameters` contains no other predicates besides the ones used for validation

  - ### exclusiveQueryTerms

    protected void exclusiveQueryTerms(IRI theFirstPredicate, IRI theSecondPredicate)
    Assert that given predicates don't share query terms

  - ### deprecated

    protected void deprecated(IRI theDeprecatedPredicate, IRI theNewPredicate)
    Assert that deprecated predicate is not being used